D-Bus 1.12.4

Data Structures | Macros | Typedefs
Memory pool implementation details
D-Bus secret internal implementation details

DBusMemPool implementation details. More...

## Data Structures
struct | DBusFreedElement
| struct representing an element on the free list. More...
struct | DBusMemBlock
| DBusMemBlock object represents a single malloc()-returned block that gets chunked up into objects in the memory pool. More...
struct | DBusMemPool
| Internals fields of DBusMemPool. More...

## Macros
#define | ELEMENT_PADDING 4
| The dummy size of the variable-length "elements" field in DBusMemBlock.

## Typedefs
typedef struct DBusFreedElement | DBusFreedElement
| typedef so DBusFreedElement struct can refer to itself.
typedef struct DBusMemBlock | DBusMemBlock
| Typedef for DBusMemBlock so the struct can recursively point to itself.

## Detailed Description

DBusMemPool implementation details.

The guts of DBusMemPool.

## Macro Definition Documentation

## ◆ ELEMENT_PADDING

#define ELEMENT_PADDING 4

The dummy size of the variable-length "elements" field in DBusMemBlock.

Definition at line 70 of file dbus-mempool.c.

## Typedef Documentation

## ◆ DBusFreedElement

typedef struct DBusFreedElement DBusFreedElement

typedef so DBusFreedElement struct can refer to itself.

Definition at line 54 of file dbus-mempool.c.

## ◆ DBusMemBlock

typedef struct DBusMemBlock DBusMemBlock

Typedef for DBusMemBlock so the struct can recursively point to itself.

Definition at line 76 of file dbus-mempool.c.